com.google.gwt.codegen.server

## Class CodeGenContext.AbortCodeGenException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.gwt.codegen.server.CodeGenContext.AbortCodeGenException

All Implemented Interfaces:
  java.io.Serializable

Enclosing interface:
  CodeGenContext

    public static class CodeGenContext.AbortCodeGenException
    extends java.lang.RuntimeException

An exception which can be thrown by a code generator to abort - callers of code generators should catch this exception.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AbortCodeGenException()`
`AbortCodeGenException(java.lang.String msg)`
`AbortCodeGenException(java.lang.String msg, java.lang.Throwable cause)`
`AbortCodeGenException(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AbortCodeGenException

    public AbortCodeGenException()

#### AbortCodeGenException

    public AbortCodeGenException(java.lang.String msg)

#### AbortCodeGenException

    public AbortCodeGenException(java.lang.String msg,
                                 java.lang.Throwable cause)

#### AbortCodeGenException

    public AbortCodeGenException(java.lang.Throwable cause)